.\"	$NetBSD: fl.4,v 1.5 1999/03/16 01:19:23 garbled Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)fl.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt FL 4 vax
.Os
.Sh NAME
.Nm fl
.Nd console floppy interface
.Sh DESCRIPTION
This is a simple interface to the
.Tn DEC
.Tn RX01
floppy disk unit, which is part of the console
.Tn LSI-11
subsystem for
.Tn VAX-11/780 Ns s .
Access is given to the entire
floppy consisting of 77 tracks of 26 sectors of 128 bytes.
.Pp
All I/O is raw; the seek addresses in raw transfers should be a multiple
of 128 bytes and a multiple of 128 bytes should be transferred,
as in other
.Dq raw
disk interfaces.
.Sh FILES
.Bl -tag -width /dev/floppy -compact
.It Pa /dev/floppy
.El
.Sh DIAGNOSTICS
None.
.Sh SEE ALSO
.Xr arff 8
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.0 .
.Sh BUGS
Multiple console floppies are not supported.
.Pp
If a write is given with a count not a multiple of 128 bytes then
the trailing portion of the last sector will be zeroed.
